<template>
  <div>
    <el-popconfirm
      title="确定删除当前提报吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "classname": "webmanage.saletool.submitedit.submitedit",
        "method": "delete",
        "content": {
            "sat_submiteditmodelid":this.data.sat_submiteditmodelid
        }
      }).then(res=>{
        this.tool.showMessage(res)
        res.code === 1?this.$emit('onSuccess'):''
      })
    },
  }
}

</script>
